Subject: Re: git-p4import.py robustness changes

From: Marius Storm-Olsen <[email-masked]>
Date: Mon, 04 Jun 2007 10:41:34 +0200

> git-p4import.py should work fine on Windows, too - the binary mode on  
> the pipe should be all handled by "subprocess", and git-p4's  
> data.replace("\r\n", "\n") is not necessary if you use "LineEnd:  
> unix" or "share" in the Perforce client specification.

The problem is that you cannot set the LineEnd when using the 'p4 
print' command, since it doesn't use the client spec; so Perforce the 
uses the platform default when printing the file.

> git-p4 seems to use "git fast-import". I guess the big performance
> improvement there is removing the ls-files operation? So we're 
> talking about a 0-10% speedup, right? Plus some fork()/exec()
> overhead.

With git-p4 the performance bottleneck is from what we can see the 
Perforce server, on non-Windows machines.

-- 
.marius